# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(FCGI/Client.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Response.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/UNIX.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Plack/Component.pm) perl(Plack/Handler/FCGI.pm) perl(Plack/Test.pm) perl(Plack/Test/Suite.pm) perl(Plack/Util/Accessor.pm) perl(Pod/Text.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Test/TCP.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(parent.pm) perl(Moose.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Plack-App-FCGIDispatcher
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Dispatch requests to FCGI servers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MI/MIYAGAWA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Plack::App::FCGIDispatcher is a PSGI application to dispatch requests.to external FastCGI servers listening on TCP or UNIX sockets.

Since external FastCGI servers can be written in any language such as
Ruby or PHP, this could be useful to route requests to Rails
applications for instance from your Plack-based web server, or apply
one of Plack middleware to PHP applications.

See also the Plack::App::Proxy manpage which uses HTTP instead of FastCGI and
has more configuration options.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

